shishi_cfg_userdirectory_file(3)

NAME
shishi_cfg_userdirectory_file - API function

SYNOPSIS
#include <shishi.h>

char * shishi_cfg_userdirectory_file(Shishi * handle, const char * file);

ARGUMENTS

Shishi * handle
    Shishi library handle create by shishi_init().

const char * file
    basename of file to find in user directory.

DESCRIPTION
Get the full path to specified file in the users' configuration directory.

RETURN VALUE
Return full path to given relative filename, relative to the user specific Shishi configuration directory as returned by shishi_cfg_default_userdirectory() (typically $HOME/.shishi).

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.